=== debian/changelog ===
txt2regex (0.9-3) unstable; urgency=medium

  * actually test /usr/bin/txt2regex in autopkgtest...

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Sep 2020 15:59:51 +0000

txt2regex (0.9-2) unstable; urgency=medium

  * run make test also during the build; make autopkgtest use make test, too 

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Sep 2020 14:26:41 +0200

txt2regex (0.9-1) unstable; urgency=medium

  * "New" upstream release
    - no "stay tunned" in manpage anymore for --history (closes: #309890)

  * move to 3.0 (quilt) instead of dpatch (closes: #668653)
  * add autopkgtests
  * run make doc
  * fix typo in de_DE.po (s/einmmal/einmal/) (closes: #618860)

 -- Rene Engelhard <rene@debian.org>  Sun, 27 Sep 2020 13:47:14 +0200

txt2regex (0.8-5) unstable; urgency=medium

  * bump dh compat to 9; dh_clean -k -> dh_prep
  * update watch for github (closes: #529150) and add Homepage: 

 -- Rene Engelhard <rene@debian.org>  Thu, 07 Jul 2016 11:39:54 +0200

txt2regex (0.8-4) unstable; urgency=low

  * fix 02_add_fr_FR.po.dpatch and 03_add_ca.po.dpatch to apply
    correctly (closes: #608209)
  * fix lintian stuff
    - s/Build-Depends-Indep/Build-Depends/ 
    - update menu for "new" menu sections 
    - add ${misc:Depends}
    - recode copyright to UTF-8

 -- Rene Engelhard <rene@debian.org>  Tue, 28 Dec 2010 22:41:29 +0100

txt2regex (0.8-3) unstable; urgency=low

  * fix for bash 3.1, thanks Mike O'Connor (closes: #346226)

 -- Rene Engelhard <rene@debian.org>  Mon, 23 Jan 2006 23:17:55 +0100

txt2regex (0.8-2) unstable; urgency=low

  * upload non-native, oops 

 -- Rene Engelhard <rene@debian.org>  Tue, 18 Jan 2005 01:29:16 +0100

txt2regex (0.8-1) unstable; urgency=low

  * New upstream release. (closes: #273965)
  * add fr_FR and ca pos from upstream site 

 -- Rene Engelhard <rene@debian.org>  Mon, 17 Jan 2005 16:27:56 +0100

txt2regex (0.7-10) unstable; urgency=high

  * remove strace output file which accidentially went into the
    diff *sigh*

 -- Rene Engelhard <rene@debian.org>  Thu,  5 Aug 2004 01:55:48 +0200

txt2regex (0.7-9) unstable; urgency=low

  * fix $BASH_VERSION check to accept bash 3.x (closes: #262762) 

 -- Rene Engelhard <rene@debian.org>  Tue,  3 Aug 2004 15:20:15 +0200

txt2regex (0.7-8) unstable; urgency=low

  * add es_ES.po and ro_RO.po from upstream 
  * Standards-Version: 3.6.1 (no changes needed)
  * quote stuff in menu file
  * fix clean

 -- Rene Engelhard <rene@debian.org>  Sat,  3 Jul 2004 17:05:43 +0200

txt2regex (0.7-7) unstable; urgency=low

  * add it_IT.po from upstream 

 -- Rene Engelhard <rene@debian.org>  Wed,  3 Mar 2004 04:53:28 +0100

txt2regex (0.7-6) unstable; urgency=low

  * s/Author\(s\)/Author/ in debian/copyright 

 -- Rene Engelhard <rene@debian.org>  Thu, 24 Apr 2003 00:40:45 +0200

txt2regex (0.7-5) unstable; urgency=low

  * fix manpage (closes: #190304) 
  * move to dpatch, existing change splut out into 01_makefile_fixes,
    new: 02_fix_manpage
  * debhelper compat v4; Standards-Version: 3.5.9

 -- Rene Engelhard <rene@debian.org>  Wed, 23 Apr 2003 16:55:56 +0200

txt2regex (0.7-4) unstable; urgency=low

  * new maintainer (closes: #158520) 

 -- Rene Engelhard <rene@debian.org>  Wed, 28 Aug 2002 16:35:48 +0200

txt2regex (0.7-3) unstable; urgency=low

  * Fixed typo

 -- Martin Butterweck <blendi@debian.org>  Sat, 13 Apr 2002 04:37:55 +0200

txt2regex (0.7-2) unstable; urgency=low

  * Fixed locale files
  closes: #138494

 -- Martin Butterweck <blendi@debian.org>  Wed,  3 Apr 2002 13:23:34 +0200

txt2regex (0.7-1) unstable; urgency=low

  * New upstream release
  closes: #128519 #129397
  * Changed build-deps
  closes: #134939
 
 -- Martin Butterweck <blendi@debian.org>  Wed,  6 Mar 2002 14:15:25 +0100

txt2regex (0.6-2) unstable; urgency=low

  * Changed TEXTDOMAINDIR to point to correct location
  * Added undocumented(7) manpage link

 -- Martin Butterweck <blendi@debian.org>  Sat, 26 Jan 2002 15:41:24 +0100

txt2regex (0.6-1) unstable; urgency=low

  * Initial Release.
  closes: #128427
 -- Martin Butterweck <blendi@debian.org>  Wed,  9 Jan 2002 13:58:19 +0100
