=== debian/control ===
Source: txt2regex
Section: utils
Priority: optional
Maintainer: Rene Engelhard <rene@debian.org>
Build-Depends: debhelper (>> 9), gettext, txt2tags, clitest <!nocheck>
Standards-Version: 3.6.1
Homepage: https://github.com/aureliojargas/txt2regex

Package: txt2regex
Architecture: all
Depends: bash (>> 3.0), ${misc:Depends}
Description: A Regular Expression "wizard", all written with bash2 builtins
 ^txt2regex$ is a Regular Expression "wizard", all written with bash2
 builtins, that converts human sentences to RegExs. With a simple
 interface, you just answer to questions and build your own RegEx for a
 large variety of programs, like awk, emacs, grep, perl, php, procmail,
 python, sed and vim. There are more than 20 supported programs.
