=== debian/rules ===
#!/usr/bin/make -f

configure: configure-stamp
configure-stamp:
	touch configure-stamp

build: build-stamp

build-stamp: configure-stamp 
	$(MAKE) doc
	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	rm -f po/*.mo
	rm -f tmp.lex.1*
	rm -f man/txt2regex.html man/txt2regex.man	

	dh_clean

test:
ifneq (nocheck,$(findstring nocheck,$(DEB_BUILD_OPTIONS)))
	$(MAKE) test
endif

install: build test
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	
	$(MAKE) install DESTDIR=$(CURDIR)/debian/txt2regex


binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installmenu
	dh_installchangelogs CHANGELOG.md
	dh_installman man/txt2regex.man
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
