=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/txt2regex-$1\.tar\.gz/ \
  https://github.com/aureliojargas/txt2regex/tags .*/v?(\d\S*)\.tar\.gz
